//GameTime.cpp
#include <windows.h>
#include <stdio.h>
#include "GameTime.h"



namespace GameTime 
{
	struct Var
	{
		int		fps;  
		DWORD   startTick;
		DWORD	tick;
		float	time;
		int		nFrame;
		int		endFrame;
	};
	Var var = { 30, GetTickCount(), 0, 0, 100 };
}

void GameTime::SetFPS( int v )
{
	var.fps = v;
}

void GameTime::SetEndFrame( int nFrame )
{
	var.endFrame = nFrame;
}

int GameTime::GetFrame()
{
	return var.nFrame;
}

void GameTime::Update()
{
	var.tick = GetTickCount() - var.startTick;
	var.time = (float)var.tick / 1000;	
	
	int stride = 1000 / var.fps;
	var.nFrame = var.tick / stride;
	var.nFrame %= var.endFrame;
}




