//EMesh.cpp
#include "EMesh.h"
#include "../xmlnode/XmlNode.h"

EMesh::EMesh( LPDIRECT3DDEVICE9 pDevice ) : ENode( pDevice )
{
	m_nVertex = 0;		
	m_nTriangle = 0;
	m_dwFVF = 0;		
	m_pVB = NULL;			
	m_pIB = NULL;	
}
//-----------------------------------------------------------------------------
EMesh::~EMesh()
{
	if( m_pVB )
	{
		m_pVB->Release();
		m_pVB = NULL;
	}

	if( m_pIB )
	{
		m_pIB->Release();
		m_pIB = NULL;
	}
}
//-----------------------------------------------------------------------------
const char* EMesh::GetClassName()
{
	return "EMesh";
}